Skip to main content
Back to API List

Start SMS Campaign API

Use this API to start an active SMS campaign for a given stream ID and campaign ID.
MethodPOST
Endpointhttps://{{host}}/campaign/api/v1/public/{{streamID}}/campaign/{{campaignId}}?campaignType={{campaignType}}&trigger={{trigger}}
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBot ID or Stream ID. You can get it from the general settings page.string, required
campaignIdUnique identifier of the campaign to trigger.string, required

Query Parameters

ParameterDescriptionType
campaignTypeType of campaign. Use "sms" for SMS.string, required
triggerAction to perform. Use "play" to start.string, required

Sample Request

curl --location 'https://{{host}}/campaign/api/v1/public/{{IID}}/campaign/{{campaignId}}?campaignType={{campaignType}}&trigger={{trigger}}' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14b9xxxx' \
--header 'accountId: 67777ce93e25326494e9xxxx' \
--data '{}
'

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
iidThe Application Id.required
accountIdThe Account Id.required

Sample Response

{
  "status": "Active",
  "message": "Campaign Started",
  "updatedAt": "2025-06-26T14:37:50.069Z"
}

Response Body Parameters

ParameterDescriptionType
statusIndicates the current status of the campaign. For example, Activestring
messageSuccess confirmation message. For example, Campaign Startedstring
updatedAtISO timestamp when the campaign was activated.string